import { ReactNode } from 'react';
import { MessageProps } from '../Message/types';
import { StreamMessage } from '../../context/ChannelStateContext';
import { DefaultStreamChatGenerics } from '../../types/types';
import { ComponentContextValue, CustomClasses } from '../../context';
import { GroupStyle } from './utils';
import { UserResponse } from 'stream-chat';
export interface RenderMessagesOptions<StreamChatGenerics extends DefaultStreamChatGenerics = DefaultStreamChatGenerics> {
    components: ComponentContextValue<StreamChatGenerics>;
    lastReceivedMessageId: string | null;
    messageGroupStyles: Record<string, GroupStyle>;
    messages: Array<StreamMessage<StreamChatGenerics>>;
    readData: Record<string, Array<UserResponse<StreamChatGenerics>>>;
    sharedMessageProps: SharedMessageProps<StreamChatGenerics>;
    customClasses?: CustomClasses;
}
export type SharedMessageProps<StreamChatGenerics extends DefaultStreamChatGenerics = DefaultStreamChatGenerics> = Omit<MessageProps<StreamChatGenerics>, MessagePropsToOmit>;
export type MessageRenderer<StreamChatGenerics extends DefaultStreamChatGenerics = DefaultStreamChatGenerics> = (options: RenderMessagesOptions<StreamChatGenerics>) => Array<ReactNode>;
type MessagePropsToOmit = 'channel' | 'groupStyles' | 'initialMessage' | 'lastReceivedId' | 'message' | 'readBy';
export declare function defaultRenderMessages<StreamChatGenerics extends DefaultStreamChatGenerics = DefaultStreamChatGenerics>({ components, customClasses, lastReceivedMessageId: lastReceivedId, messageGroupStyles, messages, readData, sharedMessageProps: messageProps, }: RenderMessagesOptions<StreamChatGenerics>): JSX.Element[];
export {};
//# sourceMappingURL=renderMessages.d.ts.map